#! /usr/local/bin/perl -w
#
# calendarLib.cgi -- ʺˡuse lib ɲá
#
# sample file name: calendarLib.cgi

use strict;
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use lib "/home/supee/myperl/lib";
use Calendar::Simple;

my $q = new CGI;                        # create new CGI object
my $mon = shift || (localtime)[4] + 1;
my $yr =  shift || (localtime)[5] + 1900;

print $q->header(-charset=>'EUC-JP'),  # HTTP إåκ
      $q->start_html(
        -title =>"$yrǯ$mon",
        -lang  =>'ja-JP', 
	-charset => 'EUC-JP'),
      $q->table($q->Tr([ 
              $q->th(['', '', '', '', '', '', '', ]), 
              map {$q->td(&dateAdjust($_))} calendar($mon, $yr),
           ])),
      $q->end_html;                  # end the HTML

sub dateAdjust {
	[
		map {
			if (not defined($_)) {
				'&nbsp;&nbsp;';
			} elsif ($_ < 10) {
				'&nbsp;'.$_;
			} else {
				$_;
			}
		} @{(shift)}
	]
}
