# /usr/local/bin/perl -w
#
# calendarDefault.cgi -- J_[̐itH[gpAftHglj
#
# sample file name: calendarDefault.cgi

use strict;
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use lib "/home/fukazawa/myperl/lib";
use Calendar::Simple;

my $q = new CGI;                        # create new CGI object
my $mon = $q->param("month") || (localtime)[4] + 1;
my $yr =  $q->param("year")  || (localtime)[5] + 1900;

print $q->header(-charset=>'EUC-JP'),  # HTTP wb_[̍쐬
     $q->start_html(
       -title =>"J_[F$yrN$mon",
       -lang  =>'ja-JP',
       -charset => 'EUC-JP'),
     $q->table($q->Tr([
             $q->th(['', '', '', '', '', '', 'y', ]),
             map {$q->td(&dateAdjust($_))} calendar($mon, $yr),
          ])),
     $q->start_form,
     $q->textfield(-name=>'year', -default=>$yr, -size=>4),
     'N',
     $q->textfield(-name=>'month', -default=>$mon, -size=>2),
     '',
     $q->submit('\'),
     $q->endform,
     $q->end_html;                  # end the HTML

sub dateAdjust {
       [
               map {
                       if (not defined($_)) {
                               '&nbsp;&nbsp;';
                       } elsif ($_ < 10) {
                               '&nbsp;'.$_;
                       } else {
                               $_;
                       }
               } @{(shift)}
       ]
}

