#! /usr/local/bin/perl -w
#
# gSearch.cgi -- Google AJAX Search API
#
# http://www.kusu.jpn.ch/blog/2009/01/28/perl%E3%81%A7google-ajax-search-api%E3%82%92%E5%B0%91%E3%81%97/
use strict;
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use strict;
use warnings;

use LWP::UserAgent;

my $query = 'http://www.nicovideo.jp/';
my $g_searchurl = "http://ajax.googleapis.com/ajax/services/search/web";

my $ua = LWP::UserAgent->new;
my $request;
my $response;
my %type = (index => 'site:', inlink => 'link:');
foreach(keys(%type)){
  $request = HTTP::Request->new('GET', "$g_searchurl?v=1.0&rsz=large&hl=ja&q=".$type{$_}."$query");
  $response = $ua->request($request);

  if($response->is_error){
    # ܂擾łȂ
    print "http error status: ".$response->status_line."\n";
    next;
  }
  $b = $response->content =~ /"estimatedResultCount":"(\d+)"/;
  if(!$b){
    # l̎擾ɎsiAPIdlςj
    print "response parse error\n";
    next;
  }

  # Ƃ̏
  print $1."\n";
}
