#
# MyFind.pm -- Ɣ File::Find W[
#
# sample file name: myFind.pm

use strict;
package MyFind;
use base 'Exporter';
our @EXPORT = qw(find $_);

sub find {
    my($proc, $dir) = @_;
    chdir $dir;
    our $cwd;
    if (not defined $cwd) {
        $cwd = $dir;
    } else {
        $cwd .= '/' . $dir;
    }
    opendir my $dh, '.';
    for my $cur (readdir($dh)) {
        next if $cur eq '.' or $cur eq '..';
        $_ = $cur;
        our $name = $cwd . '/'. $cur;
        &$proc;
        if (-d $cur) {
            &find($proc, $cur);
            chdir '..';
            $cwd =~ s|/[^/]*$||;
        }
    }
    closedir $dh;
}

1;
